Retrieve all documents by workspace URL
curl --request GET \
--url https://api.reqlick.com/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reqlick.com/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reqlick.com/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "1110580a82031111aaa01111",
"name": "example.pptx",
"description": "This is an example",
"file": "Example PPTX",
"size": 38705381,
"type": ".pptx",
"createdAt": "2024-07-16T10:48:18.541Z",
"updatedAt": "2024-07-16T10:48:18.541Z",
"projectId": "1110580a82031111aaa01111",
"_count": {
"links": 100,
"views": 700
},
"createdBy": {
"name": "Example",
"image": "https://example.com/image.png",
"id": "1110580a82031111aaa01111"
},
"views": [
{
"id": "1110580a82031111aaa01111"
}
],
"links": [
{
"id": "1110580a82031111aaa01111",
"documentId": "1110580a82031111aaa01111",
"url": "<string>",
"key": "sport",
"expiresAt": "2023-11-07T05:31:56Z",
"password": "<string>",
"proxy": true,
"isFile": true,
"isQR": true,
"title": "Instant File Sharing Link with Reqlick",
"description": "Turn your files into shareable links and connect effortlessly",
"image": "/thumbnail.png",
"allowedEmails": [
"<string>"
],
"createdAt": "2024-07-16T10:48:19.492Z",
"updatedAt": "2024-07-16T10:48:19.492Z",
"projectId": "1110580a82031111aaa01111",
"isPublic": true,
"isActive": true,
"isArchived": false,
"isRecord": false,
"domain": "rqk.sh",
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"utm_term": null,
"utm_content": null,
"ref": null,
"ios": null,
"android": null,
"tagId": null,
"createdSessionId": null
}
]
}
]{
"error": "Authentication Error",
"feedback": "You are unauthenticated!"
}Documents
Retrieve a list of documents
Retrieve all documents for the authenticated workspace.
GET
/
documents
Retrieve all documents by workspace URL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Workspace url
Response
Get all documents
Document ID
Example:
"1110580a82031111aaa01111"
Document name
Example:
"example.pptx"
Document description
Example:
"This is an example"
File name
Example:
"Example PPTX"
File size in bytes
Example:
38705381
File type
Example:
".pptx"
Creation date
Example:
"2024-07-16T10:48:18.541Z"
Last update date
Example:
"2024-07-16T10:48:18.541Z"
Project ID
Example:
"1110580a82031111aaa01111"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I